summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorArturo Borrero Gonzalez <arturo@netfilter.org>2018-11-28 14:31:57 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2018-11-28 14:56:49 +0100
commit0c659242058605dd0ca5f4be979785aec8af27e8 (patch)
tree437d8ba9c262b473d0930071be4ce7cd4b699ce0 /tests
parent431635b134a05963dd1e7cda252d16eec8a53787 (diff)
tests: fix return codes
Try to return != 0 if a testsuite fails. Signed-off-by: Arturo Borrero Gonzalez <arturo@netfilter.org> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/build/run-tests.sh2
-rwxr-xr-xtests/monitor/run-tests.sh2
-rwxr-xr-xtests/shell/run-tests.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/tests/build/run-tests.sh b/tests/build/run-tests.sh
index 626f6fd1..b0560da6 100755
--- a/tests/build/run-tests.sh
+++ b/tests/build/run-tests.sh
@@ -52,4 +52,4 @@ done
rm -rf $tmpdir
echo "results: [OK] $ok [FAILED] $failed [TOTAL] $((ok+failed))"
-exit 0
+exit $failed
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
index f4089887..0478cf60 100755
--- a/tests/monitor/run-tests.sh
+++ b/tests/monitor/run-tests.sh
@@ -17,7 +17,7 @@ fi
testdir=$(mktemp -d)
if [ ! -d $testdir ]; then
echo "Failed to create test directory" >&2
- exit 0
+ exit 1
fi
trap "rm -rf $testdir; $nft flush ruleset" EXIT
diff --git a/tests/shell/run-tests.sh b/tests/shell/run-tests.sh
index 5b0ec41c..fdca5fb3 100755
--- a/tests/shell/run-tests.sh
+++ b/tests/shell/run-tests.sh
@@ -152,4 +152,4 @@ echo ""
msg_info "results: [OK] $ok [FAILED] $failed [TOTAL] $((ok+failed))"
kernel_cleanup
-exit 0
+exit $failed